org.codehaus.groovy.runtime.memoize

## Enum EvictableCache.EvictionStrategy

- java.lang.Object
- - java.lang.Enum<EvictableCache.EvictionStrategy>
  - - org.codehaus.groovy.runtime.memoize.EvictableCache.EvictionStrategy

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EvictableCache.EvictionStrategy>
  Enclosing interface:
    EvictableCache<K,V>

      public static enum EvictableCache.EvictionStrategy
      extends java.lang.Enum<EvictableCache.EvictionStrategy>

  Represents a eviction strategy for the cache with limited size

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FIFO` Entries are evicted in the same order as they come in
    `LRU` The oldest entry(i.e.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EvictableCache.EvictionStrategy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EvictableCache.EvictionStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LRU

          public static final EvictableCache.EvictionStrategy LRU

      The oldest entry(i.e. the Less Recently Used entry) will be evicted

    - #### FIFO

          public static final EvictableCache.EvictionStrategy FIFO

      Entries are evicted in the same order as they come in

  - ### Method Detail

    - #### values

          public static EvictableCache.EvictionStrategy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EvictableCache.EvictionStrategy c : EvictableCache.EvictionStrategy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EvictableCache.EvictionStrategy valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null